Skip to content

Check profile verification status

Request

You can check the verification status of a profile using this API. This is a profile-specific API resource which should be accessed using an access token acquired for the profile.

We do not expose any finer details of customer verification.

Security
UserToken
Path
profileIdinteger, (int64)required

Profile ID.

Query
source_currenciesstringrequired

Comma-separated list of ISO 4217 currency codes.

Example:source_currencies=GBP,USD,EUR
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X POST \
  'https://api.wise.com/2026Q3/profiles/{profileId}/verification-status/bank-transfer?source_currencies=GBP%2CUSD%2CEUR' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Verification status response.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
routesArray of objects
request_idstring

Request identifier.

Example:"e66da5f6-2456-403c-bfcb-908885ee1a61"
Response
{ "routes": [ { "source_currency": "GBP", "maximum_entitled_amount": 100000, "current_status": "verified" }, { "source_currency": "USD", "maximum_entitled_amount": 0, "current_status": "not_verified" }, { "source_currency": "EUR", "maximum_entitled_amount": 10000, "current_status": "not_verified" } ], "request_id": "e66da5f6-2456-403c-bfcb-908885ee1a61" }